Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store
Class RAMDirectory

    java.lang.Object
      org.apache.lucene.store.Directory
          org.apache.lucene.store.RAMDirectory

public final class RAMDirectory
extends Directory

A memory-resident `Directory` implementation.

Version:
  $Id: RAMDirectory.java,v 1.15 2004/05/09 12:41:47 ehatcher Exp $

Constructor Summary
`RAMDirectory()` Constructs an empty `Directory`.
`RAMDirectory(Directory dir)` Creates a new `RAMDirectory` instance from a different `Directory` implementation.
`RAMDirectory(File dir)` Creates a new `RAMDirectory` instance from the `FSDirectory`.
`RAMDirectory(String dir)` Creates a new `RAMDirectory` instance from the `FSDirectory`.

Method Summary
`void` | `close()` Closes the store to future operations.
`OutputStream` | `createFile(String name)` Creates a new, empty file in the directory with the given name.
`void` | `deleteFile(String name)` Removes an existing file in the directory.
`boolean` | `fileExists(String name)` Returns true iff the named file exists in this directory.
`long` | `fileLength(String name)` Returns the length in bytes of a file in the directory.
`long` | `fileModified(String name)` Returns the time the named file was last modified.
`String[]` | `list()` Returns an array of strings, one for each file in the directory.
`Lock` | `makeLock(String name)` Construct a `Lock`.
`InputStream` | `openFile(String name)` Returns a stream reading an existing file.
`void` | `renameFile(String from, String to)` Removes an existing file in the directory.
`void` | `touchFile(String name)` Set the modified time of an existing file to now.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RAMDirectory

    public RAMDirectory()

  Constructs an empty `Directory`.

### RAMDirectory

    public RAMDirectory(Directory dir)
                 throws IOException

  Creates a new `RAMDirectory` instance from a different `Directory` implementation. This can be used to load a disk-based index into memory.

  This should be used only with indices that can fit into memory.

Parameters:
  `dir` - a `Directory` value
Throws:
  `IOException` - if an error occurs

### RAMDirectory

    public RAMDirectory(File dir)
                 throws IOException

  Creates a new `RAMDirectory` instance from the `FSDirectory`.

Parameters:
  `dir` - a `File` specifying the index directory

### RAMDirectory

    public RAMDirectory(String dir)
                 throws IOException

  Creates a new `RAMDirectory` instance from the `FSDirectory`.

Parameters:
  `dir` - a `String` specifying the full index directory path

Method Detail

### list

    public final String[] list()

  Returns an array of strings, one for each file in the directory.

  Specified by:
    `list` in class `Directory`

### fileExists

    public final boolean fileExists(String name)

  Returns true iff the named file exists in this directory.

  Specified by:
    `fileExists` in class `Directory`

### fileModified

    public final long fileModified(String name)
                            throws IOException

  Returns the time the named file was last modified.

  Specified by:
    `fileModified` in class `Directory`
  Throws:
    `IOException`

### touchFile

    public void touchFile(String name)
                   throws IOException

  Set the modified time of an existing file to now.

  Specified by:
    `touchFile` in class `Directory`
  Throws:
    `IOException`

### fileLength

    public final long fileLength(String name)

  Returns the length in bytes of a file in the directory.

  Specified by:
    `fileLength` in class `Directory`

### deleteFile

    public final void deleteFile(String name)

  Removes an existing file in the directory.

  Specified by:
    `deleteFile` in class `Directory`

### renameFile

    public final void renameFile(String from,
                                 String to)

  Removes an existing file in the directory.

  Specified by:
    `renameFile` in class `Directory`

### createFile

    public final OutputStream createFile(String name)

  Creates a new, empty file in the directory with the given name. Returns a stream writing this file.

  Specified by:
    `createFile` in class `Directory`

### openFile

    public final InputStream openFile(String name)

  Returns a stream reading an existing file.

  Specified by:
    `openFile` in class `Directory`

### makeLock

    public final Lock makeLock(String name)

  Construct a `Lock`.

  Specified by:
    `makeLock` in class `Directory`
  Parameters:
    `name` - the name of the lock file

### close

    public final void close()

  Closes the store to future operations.

  Specified by:
    `close` in class `Directory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.